kind: StatefulSet
apiVersion: apps/v1
metadata:
  name: customer-node
  labels:
    app: customer-node
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: customer-node
    spec:
      initContainers:
        - image: docker.sunet.se/sunet/docker-jinja:latest
          name: init-config
          env:
            - name: MYSQL_DATABASE
              value: "nextcloud_vr"
            - name: MYSQL_USER
              value: "nextcloud_vr"
            - name: GSS_MASTER_URL
              value: "https://drive.test.sunet.se"
            - name: LOOKUP_SERVER
              value: "https://lookup.drive.test.sunet.se"
            - name: MAIL_DOMAIN
              value: "drive.test.sunet.se"
            - name: MAIL_SMTPNAME
              value: "noreply@drive.test.sunet.se"
            - name: NEXTCLOUD_TRUSTED_DOMAINS
              value: "vr.drive.test.sunet.se"
            - name: OBJECTSTORE_S3_BUCKET
              value: "primary-vr-drive-test.sunet.se"
            - name: SITE_NAME
              value: "vr.drive.test.sunet.se"
